
<wsdl:definitions 
	targetNamespace="http://www.fzi.de/ipe/ucm"
	xmlns:http="http://schemas.xmlsoap.org/wsdl/http/"
	xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:ws="http://www.fzi.de/ipe/ucm">

	<wsdl:types>
		<xs:schema targetNamespace="http://www.fzi.de/ipe/ucm">	 
		    <xs:import namespace="http://www.fzi.de/ipe/ucm"
	        			schemaLocation="internal.xsd" />
			
			<xs:complexType name="InternalContextEvent">
			    <xs:sequence>
				    <xs:element name="facts" type="ws:FactList" />
				</xs:sequence>
			</xs:complexType>
		</xs:schema>
    </wsdl:types>
        			
	<wsdl:message name="notifyMsg">
		<wsdl:part name="event" type="ws:InternalContextEvent"/>
	</wsdl:message>
	
	<wsdl:portType name="InternalContextSubscriber">
		<wsdl:operation name="notify">
			<wsdl:input message="ws:notifyMsg"/>
		</wsdl:operation>
	</wsdl:portType>
	
	<wsdl:binding name="InternalContextSubscriberSOAP" type="ws:InternalContextSubscriber">
		<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="notify">
			<soap:operation soapAction="http://www.fzi.de/ipe/ucm/notify"/>
			<wsdl:input>
				<soap:body use="encoded" namespace="http://www.fzi.de/ipe/ucm"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
			</wsdl:input>
		</wsdl:operation>
	</wsdl:binding>
	
	<wsdl:service name="InternalContextSubscriber">
		<wsdl:port name="InternalContextSubscriber" binding="ws:InternalContextSubscriberSOAP">
			<soap:address location="http://chaos.fzi.de/UCM/Subscriber"/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
